Getting started with
your Apollo Twin.

Welcome to your Apollo Twin. The following pages will help you get started using your new interface. Simply download the software below and watch the accompanying video to begin recording with the world’s most authentic analog emulations.

Minimum system requirements:
  • Apple Mac with available Thunderbolt port
  • Mac OS X 10.8 Mountain Lion or 10.9 Mavericks
  • Compatible VST, Audio Units, RTAS, or AAX 64 plug-in host application software
  • 2 GB available disk space
  • Thunderbolt cable (sold separately)